curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/billing/reconciliation' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contract": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_profile_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"contract_type": "string",
"status": "pending",
"currency": "USD",
"period": "string",
"display_name": "Ada Lovelace",
"commitment_label": "string",
"commitment_fee_minor": 4900,
"default_unit_amount_minor": 4900,
"included_quantity": 1,
"starts_at": "2026-08-31T14:22:05Z",
"ends_at": "2026-08-31T14:22:05Z",
"metadata": {},
"rates": [
{
"id": null,
"contract_id": null,
"outcome_type": null,
"display_name": null,
"unit_amount_minor": null,
"included_quantity": null,
"committed_unit_amount_minor": null,
"metadata": null,
"created_at": null,
"updated_at": null
}
],
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
},
"current_period": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"period_start": "2026-08-31T14:22:05Z",
"period_end": "2026-08-31T14:22:05Z",
"status": "pending",
"currency": "USD",
"commitment_fee_minor": 4900,
"included_quantity": 1,
"consumed_quantity": 1,
"covered_quantity": 1,
"overage_quantity": 1,
"estimated_overage_minor": 1,
"estimated_savings_minor": 1,
"invoice_summary": {},
"closed_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
},
"summary": {
"unrated_confirmed_outcomes": 8,
"rated_outcomes": 8,
"committed_quantity": 1,
"overage_quantity": 1,
"pending_meter_events": 1,
"failed_meter_events": 1,
"sent_meter_events": 1,
"skipped_meter_events": 1,
"unmetered_overage_outcomes": 1,
"metered_overage_outcomes": 1
},
"recent_pending_events": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_profile_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"event_name": "string",
"event_identifier": "string",
"status": "pending",
"payload": {},
"response_body": {},
"external_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_error": "string",
"attempt_count": 1,
"queued_at": "2026-08-31T14:22:05Z",
"last_attempt_at": "2026-08-31T14:22:05Z",
"sent_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"recent_unmetered_outcomes": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_profile_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"outcome_type": "string",
"occurred_at": "2026-08-31T14:22:05Z",
"rating_kind": "string",
"currency": "USD",
"quantity": 2,
"included_quantity": 1,
"committed_quantity": 1,
"overage_quantity": 1,
"unit_amount_minor": 4900,
"committed_unit_amount_minor": 4900,
"subtotal_minor": 4900,
"savings_minor": 1,
"commitment_applied": true,
"rated_at": "2026-08-31T14:22:05Z",
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
Get brand billing reconciliation
Reconciliation between confirmed outcomes, rated outcomes and meter events.
GET
/
v1
/
brands
/
{brand_id}
/
billing
/
reconciliation
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/billing/reconciliation' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contract": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_profile_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"contract_type": "string",
"status": "pending",
"currency": "USD",
"period": "string",
"display_name": "Ada Lovelace",
"commitment_label": "string",
"commitment_fee_minor": 4900,
"default_unit_amount_minor": 4900,
"included_quantity": 1,
"starts_at": "2026-08-31T14:22:05Z",
"ends_at": "2026-08-31T14:22:05Z",
"metadata": {},
"rates": [
{
"id": null,
"contract_id": null,
"outcome_type": null,
"display_name": null,
"unit_amount_minor": null,
"included_quantity": null,
"committed_unit_amount_minor": null,
"metadata": null,
"created_at": null,
"updated_at": null
}
],
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
},
"current_period": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"period_start": "2026-08-31T14:22:05Z",
"period_end": "2026-08-31T14:22:05Z",
"status": "pending",
"currency": "USD",
"commitment_fee_minor": 4900,
"included_quantity": 1,
"consumed_quantity": 1,
"covered_quantity": 1,
"overage_quantity": 1,
"estimated_overage_minor": 1,
"estimated_savings_minor": 1,
"invoice_summary": {},
"closed_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
},
"summary": {
"unrated_confirmed_outcomes": 8,
"rated_outcomes": 8,
"committed_quantity": 1,
"overage_quantity": 1,
"pending_meter_events": 1,
"failed_meter_events": 1,
"sent_meter_events": 1,
"skipped_meter_events": 1,
"unmetered_overage_outcomes": 1,
"metered_overage_outcomes": 1
},
"recent_pending_events": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_profile_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"event_name": "string",
"event_identifier": "string",
"status": "pending",
"payload": {},
"response_body": {},
"external_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_error": "string",
"attempt_count": 1,
"queued_at": "2026-08-31T14:22:05Z",
"last_attempt_at": "2026-08-31T14:22:05Z",
"sent_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"recent_unmetered_outcomes": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_profile_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"outcome_type": "string",
"occurred_at": "2026-08-31T14:22:05Z",
"rating_kind": "string",
"currency": "USD",
"quantity": 2,
"included_quantity": 1,
"committed_quantity": 1,
"overage_quantity": 1,
"unit_amount_minor": 4900,
"committed_unit_amount_minor": 4900,
"subtotal_minor": 4900,
"savings_minor": 1,
"commitment_applied": true,
"rated_at": "2026-08-31T14:22:05Z",
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
Path parameters
Response
object
Billing contract
Show contract
Show contract
Billing contract period
Show current_period
Show current_period
Show recent_pending_events
Show recent_pending_events
Show recent_unmetered_outcomes
Show recent_unmetered_outcomes
Status codes
| Code | Meaning |
|---|---|
200 | Reconciliation between confirmed outcomes, rated outcomes and meter events. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/billing/reconciliation' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contract": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_profile_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"contract_type": "string",
"status": "pending",
"currency": "USD",
"period": "string",
"display_name": "Ada Lovelace",
"commitment_label": "string",
"commitment_fee_minor": 4900,
"default_unit_amount_minor": 4900,
"included_quantity": 1,
"starts_at": "2026-08-31T14:22:05Z",
"ends_at": "2026-08-31T14:22:05Z",
"metadata": {},
"rates": [
{
"id": null,
"contract_id": null,
"outcome_type": null,
"display_name": null,
"unit_amount_minor": null,
"included_quantity": null,
"committed_unit_amount_minor": null,
"metadata": null,
"created_at": null,
"updated_at": null
}
],
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
},
"current_period": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"period_start": "2026-08-31T14:22:05Z",
"period_end": "2026-08-31T14:22:05Z",
"status": "pending",
"currency": "USD",
"commitment_fee_minor": 4900,
"included_quantity": 1,
"consumed_quantity": 1,
"covered_quantity": 1,
"overage_quantity": 1,
"estimated_overage_minor": 1,
"estimated_savings_minor": 1,
"invoice_summary": {},
"closed_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
},
"summary": {
"unrated_confirmed_outcomes": 8,
"rated_outcomes": 8,
"committed_quantity": 1,
"overage_quantity": 1,
"pending_meter_events": 1,
"failed_meter_events": 1,
"sent_meter_events": 1,
"skipped_meter_events": 1,
"unmetered_overage_outcomes": 1,
"metered_overage_outcomes": 1
},
"recent_pending_events": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_profile_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"event_name": "string",
"event_identifier": "string",
"status": "pending",
"payload": {},
"response_body": {},
"external_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_error": "string",
"attempt_count": 1,
"queued_at": "2026-08-31T14:22:05Z",
"last_attempt_at": "2026-08-31T14:22:05Z",
"sent_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"recent_unmetered_outcomes": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_profile_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"outcome_type": "string",
"occurred_at": "2026-08-31T14:22:05Z",
"rating_kind": "string",
"currency": "USD",
"quantity": 2,
"included_quantity": 1,
"committed_quantity": 1,
"overage_quantity": 1,
"unit_amount_minor": 4900,
"committed_unit_amount_minor": 4900,
"subtotal_minor": 4900,
"savings_minor": 1,
"commitment_applied": true,
"rated_at": "2026-08-31T14:22:05Z",
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
Last modified on August 31, 2026